Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1329538 (CVE-2016-7909) - CVE-2016-7909 Qemu: net: pcnet: infinite loop in pcnet_rdra_addr()
Summary: CVE-2016-7909 Qemu: net: pcnet: infinite loop in pcnet_rdra_addr()
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-7909
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1329596 (view as bug list)
Depends On: 1381196
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-22 08:01 UTC by Adam Mariš
Modified: 2021-02-17 04:00 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 07:32:33 UTC
Embargoed:


Attachments (Terms of Use)
GDB report (deleted)
2016-04-22 08:15 UTC, Adam Mariš
no flags Details

Description Adam Mariš 2016-04-22 08:01:01 UTC
Quick Emulator(Qemu) built with the AMD PC-Net II emulator support is vulnerable to an infinite loop issue. It could occur while receiving packets via pcnet_receive().

A privileged user/process inside guest could use this issue to crash the Qemu process on the host leading to DoS.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg07942.html

Comment 1 Adam Mariš 2016-04-22 08:01:23 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Inc.)

Comment 2 Adam Mariš 2016-04-22 08:15:26 UTC
Created attachment 1149665 [details]
GDB report

Comment 4 Prasad Pandit 2016-10-03 11:48:07 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1381196]

Comment 5 Andrej Nemec 2016-10-04 08:08:06 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/12

Comment 6 Cole Robinson 2017-01-16 18:15:45 UTC
commit 34e29ce754c02bb6b3bdd244fbb85033460feaff
Author: Prasad J Pandit <pjp>
Date:   Fri Sep 30 00:27:33 2016 +0530

    net: pcnet: check rx/tx descriptor ring length

Comment 7 Prasad Pandit 2017-02-07 07:30:52 UTC
*** Bug 1329596 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.